Subject: Re: [PATCH net-next 0/3] net: stmmac: add physical port identification support

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 4 Dec 2025 17:09:39 +0000

Not another bloody posting of this.

Stop it right now. Just stop.

I've reviewed your first series. You are diluting the potential reviews
of your code, making it harder for people to review and track what
people have said.

So just stop this stupid behaviour right away. Do not re-post until
after the merge window is over. Read the networking maintainence
documentation. Documentation/process/maintainer-netdev.rst

On Thu, Dec 04, 2025 at 05:40:25PM +0100, John Madieu wrote:
> This series adds physical port identification support to the stmmac driver,
> enabling userspace to query hardware-stable identifiers for network interfaces
> via ndo_get_phys_port_id() and ndo_get_phys_port_name().
> 
> On systems with multiple ethernet controllers sharing the same driver,
> physical port identification provides stable identifiers that persist
> across reboots and are independent of interface enumeration order.
> This is particularly useful for predictable network interface naming
> and for correlating interfaces with physical connectors.
> 
> The implementation follows a two-tier approach:
> 
> 1. Generic stmmac support: Default implementations use the permanent MAC
>    address as port ID and bus_id for port naming. This provides immediate
>    benefit for all stmmac-based platforms.
> 
> 2. Glue driver override: Platform drivers can provide custom callbacks
>    for hardware-specific identification schemes. The Renesas GBETH driver
>    implements this to support device tree-based port identification,
>    addressing cases where hardware lacks unique identification registers.
> 
> The Renesas implementation constructs an 8-byte port identifier from:
> - Permanent MAC address (if available) or Renesas OUI (74:90:50) as fallback
> - Port index from device tree property or ethernet alias
> 
> 
> John Madieu (3):
>   net: stmmac: add physical port identification support
>   dt-bindings: net: renesas-gbeth: Add port-id property
>   net: stmmac: dwmac-renesas-gbeth: add physical port identification
> 
>  .../bindings/net/renesas,rzv2h-gbeth.yaml     | 19 +++++++
>  .../stmicro/stmmac/dwmac-renesas-gbeth.c      | 56 +++++++++++++++++++
>  .../net/ethernet/stmicro/stmmac/stmmac_main.c | 54 ++++++++++++++++++
>  include/linux/stmmac.h                        |  5 ++
>  4 files changed, 134 insertions(+)
> 
> -- 
> 2.25.1
> 
> 

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!